{% extends 'base.html.twig' %}

{% block title %}Hello!{% endblock %}

{% block body %}
    <meta http-equiv="refresh" content="300">
    <main>
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="carousel slide" data-ride="carousel" data-interval="10000">
                        <div class="carousel-inner">
                            {% for timetablemodification in timetablemodifications %}
                                <div class="carousel-item {% if loop.first %} active {% endif %}">
                                    <h2>{{ timetablemodification.date }}</h2>
                                    <div class="row">
                                        <div class="col">
                                            <table class="table table-borderless table-striped table-sm">
                                                <thead>
                                                <tr>
                                                    <th scope="col">Stunde</th>
                                                    <th scope="col">Klasse</th>
                                                    <th scope="col">Fach/Lehrer</th>
                                                    <th scope="col">Vertretung</th>
                                                    <th scope="col">Raum</th>
                                                    <th scope="col">Informationen</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for data in timetablemodification.data %}
                                                <tr>
                                                    <td>{{ data.time }}</td>
                                                    <td>{{ data.class }}</td>
                                                    <td>{{ data.subject }}/{{ data.teacher }}</td>
                                                    <td>{{ data.changedSubject }}/{{ data.changedTeacher }}</td>
                                                    <td>{{ data.changedRoom }}</td>
                                                    <td>{{ data.info }}</td>
                                                </tr>
                                                {% if loop.length >=10 %}
                                                {% if loop.index == loop.length/2 %}
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="col">
                                            <table class="table table-borderless table-striped table-sm">
                                                <thead>
                                                <tr>
                                                    <th scope="col">Stunde</th>
                                                    <th scope="col">Klasse</th>
                                                    <th scope="col">Fach/Lehrer</th>
                                                    <th scope="col">Vertretung</th>
                                                    <th scope="col">Raum</th>
                                                    <th scope="col">Informationen</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% endif %}
                                                {% endif %}
                                                {% endfor %}
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12"><h2>News</h2>
                    {% for notification in notifications %}
                        <div class="card-deck">
                            <div class="card">
                                <div class="card-body"><h5 class="card-title">{{ notification.header }}</h5>
                                    <p class="card-text">{{ notification.content }}</p>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </div>
    </main>
{% endblock %}

